Description

In FLyrVect.getFullEnvelope() I found this:

        // Esto es para cuando se crea una capa nueva con el fullExtent de ancho
        // y alto 0.
        if (rAux == null || rAux.isEmpty() || rAux.getMaximum(0) - rAux.getMinimum(0) == 0
            && rAux.getMaximum(1) - rAux.getMinimum(1) == 0) {
            try {
                rAux =
                    geomManager.createEnvelope(0, 0, 90, 90, SUBTYPES.GEOM2D);
            } catch (CreateEnvelopeException e) {
                logger.error("Error creating the envelope", e);
                e.printStackTrace();
            }
        }

So, If a vectorial layer is empty, always a returns a envelope of (0 0,90 90) . Ignoring the fact that this coordinate can be
inappropriate for current View (and there's no way to know it), I think that, in this case, an empty envelope should be returned. The
method which requires the full envelope must be in charge of manage this state (a empty layer).

An example of this is FLayers.getFullEnvelope() which must check it.

Also, DefaultEnvelope.add(Envelope) must check if received envelope is empty.

I don't provide a patch due to this change could produce many side effects.

History
#1 - 02/05/2014 11:58 AM - Álvaro Anguix
- Assignee set to Joaquín  del Cerro Murciano
- Target version set to 2.1.0-2223-rc1

#2 - 02/20/2014 11:52 AM - Álvaro Anguix
- Target version changed from 2.1.0-2223-rc1 to 2.2.0-2311-rc2
#3 - 04/04/2014 10:28 AM - Álvaro Anguix
- Priority changed from High to Normal

#4 - 04/04/2014 10:36 AM - Álvaro Anguix
- Assignee deleted (Joaquín  del Cerro Murciano)

#5 - 01/28/2015 12:05 PM - Álvaro Anguix
- Target version deleted (2.2.0-2311-rc2)

#6 - 03/04/2020 02:34 PM - Álvaro Anguix
- Category set to Document view

#7 - 10/18/2023 02:09 PM - Álvaro Anguix
- Status changed from New to Outdated
